﻿#ScheduleToolbar .fas.k-sprite,
#ScheduleToolbar .fas.k-sprite::before,
#ScheduleToolbar .fal.k-sprite,
#ScheduleToolbar .fal.k-sprite::before {
  font-size: 14px;
  line-height: 16px;
}

.k-toolbar {
  border-radius: 0.5em;
}
.k-toolbar .k-toolbar-overflow-button {
  margin-inline-start: 0;
}

.schedule-wrapper {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: auto;
  grid-auto-rows: minmax(100px, auto);
  column-gap: 2px;
  row-gap: 2px;
}

@media screen and (max-width: 575.98px) {
  .schedule-wrapper {
    grid-template-columns: 1fr;
    grid-template-rows: minmax(100px, auto);
  }
}
.other {
  background-color: #d9d9d9;
}

.calendar-day-header {
  text-align: center;
  background-color: #555555;
  color: #fff;
  font-weight: bold;
  font-size: 0.7em;
  padding: 2px;
}

.calendar-day {
  border: 1px solid #333333;
  padding: 2px;
  page-break-inside: avoid;
  page-break-after: auto;
}

.calendar-date {
  float: right;
  border-left: 1px solid #333333;
  border-bottom: 1px solid #333333;
  padding: 1px 2px;
  margin: -2px;
  font-size: 0.8em;
}

.calendar-date-wide {
  text-align: center;
  background-color: #555555;
  color: #fff;
  font-weight: bold;
  font-size: 0.7em;
  padding: 2px;
  margin: -2px;
  margin-bottom: 2px;
}

.event {
  font-size: 0.7em;
  line-height: 1.15;
  white-space: nowrap;
}
.event.open {
  color: #337ab7;
  font-weight: 600;
}
.event.esp {
  color: #d9534f;
  font-weight: 600;
}
.event.mod {
  color: #f0ad4e;
  font-weight: 600;
}
.event.pfid {
  color: #5cb85c !important;
  font-weight: 600;
}
.event.npa {
  color: #5bc0de;
  font-weight: 600;
}
.event.oc, .event.jeo {
  background-color: #f2f2f2;
}
.event.filtered {
  background-color: #fff !important;
}

@media print {
  .mx-2 {
    margin-left: 0 !important;
    margin-right: 0 !important;
  }
  .k-listview {
    position: absolute;
    top: 45px;
    width: 100%;
  }
}
#PointsTable {
  border-left: 1px solid #333333;
  overflow-y: hidden;
  overflow-x: auto;
  width: 100%;
  font-size: 0.6em;
}
#PointsTable .text-left {
  padding-left: 0.25em;
}
#PointsTable .text-right {
  padding-right: 0.25em;
}
#PointsTable .header {
  background-color: #555555 !important;
  color: #fff;
}
#PointsTable .no-border {
  border-style: none !important;
  border-width: 0 !important;
}
#PointsTable .top-border {
  border-top: 1px solid #333333;
}
#PointsTable .row-1, #PointsTable .row-wrap-1 {
  overflow: hidden;
  border-bottom: 1px solid #333333;
  height: 13pt;
  background-color: #fff;
}
#PointsTable .row-1 {
  line-height: 13pt;
}
#PointsTable .row-wrap-1 {
  line-height: 13pt;
}
#PointsTable .row-2, #PointsTable .row-wrap-2 {
  overflow: hidden;
  border-bottom: 1px solid #333333;
  height: 26pt;
  background-color: #fff;
}
#PointsTable .row-2 {
  line-height: 26pt;
}
#PointsTable .row-wrap-2 {
  line-height: 13pt;
}
#PointsTable .col-pt-1 {
  width: 3.125%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-1.top-border {
  min-width: 2.4em;
}
#PointsTable .col-pt-2 {
  width: 6.25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-2.top-border {
  min-width: 4.8em;
}
#PointsTable .col-pt-3 {
  width: 9.375%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-3.top-border {
  min-width: 7.2em;
}
#PointsTable .col-pt-4 {
  width: 12.5%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-4.top-border {
  min-width: 9.6em;
}
#PointsTable .col-pt-5 {
  width: 15.625%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-5.top-border {
  min-width: 12em;
}
#PointsTable .col-pt-6 {
  width: 18.75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-6.top-border {
  min-width: 14.4em;
}
#PointsTable .col-pt-7 {
  width: 21.875%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-7.top-border {
  min-width: 16.8em;
}
#PointsTable .col-pt-8 {
  width: 25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-8.top-border {
  min-width: 19.2em;
}
#PointsTable .col-pt-9 {
  width: 28.125%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-9.top-border {
  min-width: 21.6em;
}
#PointsTable .col-pt-10 {
  width: 31.25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-10.top-border {
  min-width: 24em;
}
#PointsTable .col-pt-11 {
  width: 34.375%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-11.top-border {
  min-width: 26.4em;
}
#PointsTable .col-pt-12 {
  width: 37.5%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-12.top-border {
  min-width: 28.8em;
}
#PointsTable .col-pt-13 {
  width: 40.625%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-13.top-border {
  min-width: 31.2em;
}
#PointsTable .col-pt-14 {
  width: 43.75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-14.top-border {
  min-width: 33.6em;
}
#PointsTable .col-pt-15 {
  width: 46.875%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-15.top-border {
  min-width: 36em;
}
#PointsTable .col-pt-16 {
  width: 50%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-16.top-border {
  min-width: 38.4em;
}
#PointsTable .col-pt-17 {
  width: 53.125%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-17.top-border {
  min-width: 40.8em;
}
#PointsTable .col-pt-18 {
  width: 56.25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-18.top-border {
  min-width: 43.2em;
}
#PointsTable .col-pt-19 {
  width: 59.375%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-19.top-border {
  min-width: 45.6em;
}
#PointsTable .col-pt-20 {
  width: 62.5%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-20.top-border {
  min-width: 48em;
}
#PointsTable .col-pt-21 {
  width: 65.625%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-21.top-border {
  min-width: 50.4em;
}
#PointsTable .col-pt-22 {
  width: 68.75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-22.top-border {
  min-width: 52.8em;
}
#PointsTable .col-pt-23 {
  width: 71.875%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-23.top-border {
  min-width: 55.2em;
}
#PointsTable .col-pt-24 {
  width: 75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-24.top-border {
  min-width: 57.6em;
}
#PointsTable .col-pt-25 {
  width: 78.125%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-25.top-border {
  min-width: 60em;
}
#PointsTable .col-pt-26 {
  width: 81.25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-26.top-border {
  min-width: 62.4em;
}
#PointsTable .col-pt-27 {
  width: 84.375%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-27.top-border {
  min-width: 64.8em;
}
#PointsTable .col-pt-28 {
  width: 87.5%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-28.top-border {
  min-width: 67.2em;
}
#PointsTable .col-pt-29 {
  width: 90.625%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-29.top-border {
  min-width: 69.6em;
}
#PointsTable .col-pt-30 {
  width: 93.75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-30.top-border {
  min-width: 72em;
}
#PointsTable .col-pt-31 {
  width: 96.875%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-31.top-border {
  min-width: 74.4em;
}
#PointsTable .col-pt-32 {
  width: 100%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pt-32.top-border {
  min-width: 76.8em;
}
#PointsTable .col-pc-25 {
  width: 25%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pc-33 {
  width: 33.3333333333%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pc-50 {
  width: 50%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pc-66 {
  width: 66.6666666667%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .col-pc-75 {
  width: 75%;
  float: left;
  height: 100%;
  border-right: 1px solid #333333;
}
#PointsTable .k-listview {
  border-style: none;
  border-width: 0;
}

@media (min-width: 992px) {
  #PointsTable {
    font-size: 0.85em;
  }
  #PointsTable .row-1, #PointsTable .row-wrap-1 {
    overflow: hidden;
    border-bottom: 1px solid #333333;
    height: 15pt;
    background-color: #fff;
  }
  #PointsTable .row-1 {
    line-height: 15pt;
  }
  #PointsTable .row-wrap-1 {
    line-height: 15pt;
  }
  #PointsTable .row-2, #PointsTable .row-wrap-2 {
    overflow: hidden;
    border-bottom: 1px solid #333333;
    height: 30pt;
    background-color: #fff;
  }
  #PointsTable .row-2 {
    line-height: 30pt;
  }
  #PointsTable .row-wrap-2 {
    line-height: 15pt;
  }
}
@media (min-width: 768px) {
  #PointsTable {
    font-size: 0.75em;
  }
  #PointsTable .header {
    font-weight: bold;
  }
  #PointsTable .row-1, #PointsTable .row-wrap-1 {
    overflow: hidden;
    border-bottom: 1px solid #333333;
    height: 14pt;
    background-color: #fff;
  }
  #PointsTable .row-1 {
    line-height: 14pt;
  }
  #PointsTable .row-wrap-1 {
    line-height: 14pt;
  }
  #PointsTable .row-2, #PointsTable .row-wrap-2 {
    overflow: hidden;
    border-bottom: 1px solid #333333;
    height: 28pt;
    background-color: #fff;
  }
  #PointsTable .row-2 {
    line-height: 28pt;
  }
  #PointsTable .row-wrap-2 {
    line-height: 14pt;
  }
}
@media (min-width: 576px) {
  #PointsTable {
    font-size: 0.65em;
  }
}
#manage {
  font-size: 0.8em;
}
#manage .k-input-sm, #manage .k-picker-sm {
  font-size: 1em !important;
  line-height: 1rem !important;
}
#manage .mod-date-label, #manage .mod-opt-label {
  width: 100%;
  max-width: 6em;
}
#manage .mod-date-label {
  max-width: 8em;
}
#manage .cal-button, #manage .mod-button, #manage .chk-button {
  font-size: 0.8em !important;
}
#manage .mod-button {
  width: 8em;
}
#manage .k-calendar button[data-action=today] {
  display: none;
}
#manage #ModDatePicker_dateview .k-calendar-md, #manage #PubMonthDatePicker_dateview .k-calendar-md {
  font-size: 0.9em !important;
}
#manage #ModDatePicker_dateview .k-calendar-view, #manage #PubMonthDatePicker_dateview .k-calendar-view {
  width: 250px !important;
  min-height: 270px !important;
}
#manage #ModDatePicker_dateview .k-header-view, #manage #PubMonthDatePicker_dateview .k-header-view {
  min-width: 250px !important;
}
#manage #SmallCalendar {
  font-size: 0.9em !important;
}
#manage #SmallCalendar .k-focus .k-link {
  box-shadow: none;
}
#manage #SmallCalendar .k-today {
  font-weight: 400 !important;
}
#manage #SmallCalendar .k-today .k-link {
  box-shadow: none !important;
}
#manage #SmallCalendar .avail-day {
  /* overwrites selected color */
}
#manage #SmallCalendar .avail-day, #manage #SmallCalendar .avail-day:not(.k-selected) .k-link {
  color: #fff !important;
  background-color: #5cb85c !important;
}
#manage #SmallCalendar .avail-day:hover:not(.k-selected) .k-link {
  color: #fff;
  background-color: #37a837 !important;
}
#manage #SmallCalendar .not-avail-day {
  /* overwrites selected color */
}
#manage #SmallCalendar .not-avail-day, #manage #SmallCalendar .not-avail-day:not(.k-selected) .k-link {
  color: #fff !important;
  background-color: #d92800 !important;
}
#manage #SmallCalendar .not-avail-day:hover:not(.k-selected) .k-link {
  color: #fff;
  background-color: #ca2500 !important;
}
#manage #SmallCalendar .k-calendar-header {
  min-width: 260px !important;
  padding-block: 0;
  padding-block-start: 0.25rem;
}
#manage #SmallCalendar .k-calendar-header .k-button-text {
  font-size: 0.9em;
}
#manage #SmallCalendar .k-calendar-view {
  width: 260px !important;
  min-height: 216px !important;
}
#manage #SmallCalendar .k-calendar-th {
  height: 25px;
}
#manage #SmallCalendar .k-calendar-monthview .k-calendar-td {
  height: 30px !important;
  max-width: 38px;
}
#manage #SmallCalendar .k-calendar-yearview .k-calendar-td {
  height: 70px !important;
}
#manage #SmallCalendar .active {
  background-color: #5bc0de;
  color: #fff;
}
#manage #SmallCalendar .k-calendar-td.active:not(.k-selected):hover .k-link {
  background-color: #27a0c3;
  color: #fff;
}
#manage .k-list-item {
  font-size: 0.7em;
  padding-right: 8px !important;
  padding-left: 8px !important;
  height: 1.5rem;
}
#manage .providers {
  height: 13.7rem;
}
#manage .service-types {
  height: 15.2rem;
}
#manage .service-types-spacer {
  height: 0.6rem;
}
#manage legend {
  margin-bottom: 5px;
  font-size: 1.2em;
  border-bottom: 1px solid #333333;
}
#manage .point-spacer {
  height: 1.5rem;
}
#manage #PointsTable {
  font-size: 0.9em !important;
}
#manage .point-table {
  border-left: 0px solid transparent;
}
#manage .point-table .point-row {
  overflow: hidden;
  border-left: 1px solid #333333;
}
#manage .point-table .point-row:first-child {
  border-left-color: transparent;
}
#manage .point-table .point-col-1 {
  float: left;
  border-right: 1px solid #333333;
  border-bottom: 1px solid #333333;
  padding: 2px 3px;
  background-color: #fff;
  width: 10%;
}
#manage .point-table .point-col-1.point-title {
  border-top: 1px solid #333333;
  text-align: center;
}
#manage .point-table .point-col-2 {
  float: left;
  border-right: 1px solid #333333;
  border-bottom: 1px solid #333333;
  padding: 2px 3px;
  background-color: #fff;
  width: 20%;
}
#manage .point-table .point-col-2.point-title {
  border-top: 1px solid #333333;
  text-align: center;
}
#manage .point-table .point-col-3 {
  float: left;
  border-right: 1px solid #333333;
  border-bottom: 1px solid #333333;
  padding: 2px 3px;
  background-color: #fff;
  width: 30%;
}
#manage .point-table .point-col-3.point-title {
  border-top: 1px solid #333333;
  text-align: center;
}
#manage .point-table .point-col-4 {
  float: left;
  border-right: 1px solid #333333;
  border-bottom: 1px solid #333333;
  padding: 2px 3px;
  background-color: #fff;
  width: 40%;
}
#manage .point-table .point-col-4.point-title {
  border-left: 1px solid #333333;
}
#manage .point-table .point-title {
  background-color: #555555;
  color: #fff;
}
#manage .point-table .point-data {
  text-align: right;
}
#manage .point-table .point-name {
  border-top: 1px solid #333333;
  border-top-color: transparent;
  background-color: transparent;
}
#manage .point-table .point-balance {
  padding: 0;
  overflow: hidden;
}
#manage .point-table .point-balance-label {
  float: left;
  border-right: 1px solid #333333;
  padding: 2px 0;
  width: 15%;
  text-align: center;
  background-color: #555555;
  color: #fff;
}
#manage .point-table .point-balance-value {
  float: right;
  padding: 2px 3px;
}

#user-profile .avail-day {
  color: #5cb85c;
}
#user-profile .not-avail-day {
  color: #d92800;
}

#ModDatePicker_dateview, #PubMonthDatePicker_dateview {
  transform: scale(0.9);
  margin-top: -1em;
  padding-bottom: 1em;
}
